//+------------------------------------------------------------------+
//|                                            ParabolicSAR_Save.mq4 |
//|                                                             Gupm |
//|                                                             None |
//+------------------------------------------------------------------+
#property copyright "Gupm"
#property link      "None"
//----   ---------------------------------
extern string       FileName    = "PSAR.csv";         //  
extern int       Time_Interval       = 60;         //  ,   - 60 
extern double PSAR_Step = 0.02;
extern double PSAR_Maximum = 0.2;
//    ---------------
datetime     Bar_0_Time          = 0;          //    
string       Symb;                             //  . 
double PSARValue1 = 0;
  int handle;
  //--------------------------   .---------------
bool Found_New_Bar()                              // .
  {                                              
    bool New_Bar = False;                              //   
    if(Bar_0_Time != Time[0])                     //  
     {
      Bar_0_Time = Time[0];                       //   
      New_Bar = True;
     }
     return (New_Bar);
  }
//--------------------- [   ]---------------

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//---- -------
  handle=FileOpen(FileName, FILE_CSV|FILE_WRITE, ';');
  Symb = Symbol (); 
  //----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
if (Found_New_Bar())
{
PSARValue1 = iSAR(Symb, Time_Interval, PSAR_Step, PSAR_Maximum, 1); 
FileWrite(handle, PSARValue1, TimeToStr(TimeCurrent()));
Alert ("PSAR=", PSARValue1);  
} // if Found New Bar
//----
   return(0);
  }
//+------------------------------------------------------------------+

